1. For Email Infra Provider
Plusvibe.ai API Documentation
  • Getting Started
    • Getting Started
    • Webhooks - Overview
    • Webhooks - Payload - Email Replies
    • Webhooks - Payload - Lead Marked As Label
    • Webhooks - Payload - Campaign Emails Sent
    • Webhooks - Payload - Bounced Email
    • Webhooks - Payload - Unibox Email Sent
    • Workspace Deep Link Parameter
    • Email Infra Provider Guide
  • User API Endpoints
    • Workspace
      • Get workspaces
      • Add a new workspace
      • Copy workspace settings
    • Campaign
      • Create a new campaign
      • Create a new subsequence
      • List campaigns (deprecated)
      • List all campaigns
      • Get campaign name
      • Get campaign status
      • Get campaign email accounts
      • Get campaign emails
      • Get campaign variation stats
      • Set campaign name
      • Set campaign Schedules (deprecated)
      • Activate campaign
      • Pause campaign
      • Update Campaign
      • Delete or archive a campaign
    • Lead
      • Add leads to a campaign
      • Add leads to a subsequence campaign
      • Get or search for lead
      • Delete leads from a campaign
      • Lead Variable/Label Update or Add
      • Fetch workspace leads
      • Update the status of a lead
      • Get lead counts by status
    • Email Account
      • List all email accounts in the workspace
      • Get email account status
      • Check account vitals
      • Enable Email account warmup
      • Pause Email account warmup
      • Delete Email account
      • Get Warmup Stats (Workspace-Level)
      • Bulk Add SMTP Accounts
      • Bulk Update Email Accounts
      • Bulk Update Email Account Warmup Status
      • Bulk Assign/Remove Tags from Email Accounts
      • Bulk reconnect email accounts
      • Get email account stats for a date range
    • Analytics
      • Get campaign summary
      • Get campaign count (deprecated)
      • Get campaign stats
      • Get all campaigns statistics
    • Unibox
      • Get emails
      • Get emails in Others folder
      • Get count of unread emails
      • Reply to an email
      • Forward an existing email
      • Compose New Email
      • Mark Email Read
      • Save Email as Draft
      • Delete an Entire Email Thread
      • Delete a Single Email Message
    • Blocklist
      • Get entries in the blocklist
      • Adds entries to the blocklist
      • Delete entries in the blocklist
    • Webhook
      • Add a new webhook
      • List webhooks
      • Delete webhook(s)
    • Tags
      • List Tags
      • Create a New Tag
      • Update an Existing Tag
      • Delete Multiple Tags
    • Client Access
      • Create client
      • Edit client
      • Update client status
      • Delete client
      • List clients
    • Email Placement Test
      • Parent Recurring Test
        • Create a new parent test (recurring test)
        • Update a parent test
        • List all parent tests
        • Get parent test details
        • Delete parent test(s)
        • Duplicate a parent test
      • Child (Test Run) Test
        • List child (Test Run) tests
        • Get child test details
      • Results & Analytics
        • Get test summary
        • Get detailed test statistics
        • Get test result for a sender account
      • Get recipient providers
    • Schemas
      • ScheduleV2
      • SequenceStep
      • Campaign
      • Variation
      • EmailAccountId
      • WarmupStatus
      • BulkUpdateWarmupRequest
      • TagAction
      • BulkTagAssignmentRequest
      • ObjectId
      • HexColor
      • CreateTagRequest
      • UpdateTagRequest
      • DeleteTagsRequest
      • DeleteCampaignRequest
      • BulkReconnectRequest
      • SuccessResponse
      • ErrorResponse
      • ClientWorkspacePermission
      • CreateClientRequest
      • CreateClientResponse
      • UpdateClientRequest
      • ClientListItem
      • PatchClientStatusRequest
      • GenericSuccessResponse
      • ParentTest
      • ParentTestDetail
      • ChildTest
      • ChildTestDetail
      • VariationStepStats
      • VariationStats
      • CopyWorkspaceRequest
      • ResourceType
      • CopyWorkspaceResponse
      • EmailStatsResponse
      • EmailStatsHeader
      • EmailStatsChartPoint
      • ValidationErrorResponse
      • CheckSuccess
      • AuthFailure
  • For Email Infra Provider
    • Email Infra Provider Guide
    • List workspaces
      POST
    • List all email accounts in the workspace
      GET
    • Check if an email exists in another workspace
      GET
    • Initiate Google OAuth login flow
      POST
    • Initiate Microsoft OAuth login flow
      POST
    • Bulk Add SMTP Accounts (via Username and Password)
      POST
    • Schemas
      • AuthFailure
      • CheckSuccess
      • ErrorResponse
  1. For Email Infra Provider

List all email accounts in the workspace

GET
https://api.plusvibe.ai/v1/webhook/partner-list-email-accounts
List all email accounts in the workspace. Can be filtered by tags or single email.

Request

Query Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.plusvibe.ai/v1/webhook/partner-list-email-accounts?pipl_username=undefined&pipl_password=undefined&workspace_id=undefined&provider_id=undefined&skip=undefined&limit=undefined&tags=undefined&email=undefined'
Response Response Example
200 - Success Example
{
    "accounts": [
        {
            "_id": "6606d3a757aebe86b6dd8b9c",
            "email": "alice.smith@example.com",
            "status": "ACTIVE",
            "warmup_status": "ACTIVE",
            "provider": "MICROSOFT365",
            "timestamp_created": "2024-05-17T06:06:01.759Z",
            "timestamp_updated": "2024-08-14T13:08:37.344Z",
            "payload": {
                "name": {
                    "first_name": "Bob",
                    "last_name": "Johnson"
                },
                "warmup": {
                    "limit": 75,
                    "warmup_custom_words": "charity-dreamy",
                    "warmup_signature": 0,
                    "advanced": {
                        "warm_ctd": true,
                        "weekday_only": true,
                        "warmup_business_type": ""
                    },
                    "increment": 2,
                    "reply_rate": 40
                },
                "imap_host": "imap.gmail.com",
                "imap_port": 993,
                "smtp_host": "smtp.gmail.com",
                "smtp_port": 465,
                "daily_limit": 100,
                "sending_gap": 5,
                "reply_to": "",
                "custom_domain": "",
                "signature": "",
                "tags": [],
                "cmps": [],
                "analytics": {
                    "health_scores": {
                        "7d_overall_warmup_health": 100,
                        "7d_google_warmup_health": 100,
                        "7d_microsoft_warmup_health": 100,
                        "7d_other_warmup_health": 100
                    },
                    "reply_rates": {
                        "7d_ooo_replyrate": 4.3,
                        "7d_replyrate": 3.1
                    },
                    "daily_counters": {
                        "email_sent_today": 10,
                        "warmup_email_sent_today": 1
                    }
                }
            }
        },
        {
            "_id": "6634af3e716bada4a591a386",
            "email": "bob.johnson@example.com",
            "status": "ACTIVE",
            "warmup_status": "ACTIVE",
            "provider": "GOOGLE_WORKSPACE",
            "timestamp_created": "2024-05-03T09:32:44.243Z",
            "timestamp_updated": "2024-07-25T15:46:59.015Z",
            "payload": {
                "name": {
                    "first_name": "Bob",
                    "last_name": "Johnson"
                },
                "warmup": {
                    "limit": 75,
                    "warmup_custom_words": "charity-dreamy",
                    "warmup_signature": 0,
                    "advanced": {
                        "warm_ctd": true,
                        "weekday_only": true,
                        "warmup_business_type": ""
                    },
                    "increment": 2,
                    "reply_rate": 40
                },
                "imap_host": "imap.gmail.com",
                "imap_port": 993,
                "smtp_host": "smtp.gmail.com",
                "smtp_port": 465,
                "daily_limit": 100,
                "sending_gap": 5,
                "reply_to": "",
                "custom_domain": "",
                "signature": "",
                "tags": []
            }
        }
    ]
}
Modified at 2026-07-24 16:34:05
Previous
List workspaces
Next
Check if an email exists in another workspace
Built with